#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 jose
version:              0.8.4
visibility:           public
id:                   jose-0.8.4-E7TPDpHYmre1rPjeitb0El
key:                  jose-0.8.4-E7TPDpHYmre1rPjeitb0El
license:              Apache-2.0
copyright:            Copyright (C) 2013-2018  Fraser Tweedale
maintainer:           frase@frase.id.au
author:               Fraser Tweedale
homepage:             https://github.com/frasertweedale/hs-jose
synopsis:
    Javascript Object Signing and Encryption and JSON Web Token library

description:

    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.

    The JSON Web Signature (JWS; RFC 7515) implementation is complete.

    EdDSA signatures (RFC 8037) are supported (Ed25519 only).

    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).

    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.

    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.

category:             Cryptography
abi:                  fce1918d0f655588ac0a5c350c20cd02
exposed:              True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT

hidden-modules:
    Crypto.JOSE.TH Crypto.JOSE.Types.Internal Crypto.JOSE.Types.Orphans

import-dirs:          /usr/lib/ghc-8.10.2/site-local/jose-0.8.4
library-dirs:         /usr/lib/ghc-8.10.2/site-local/jose-0.8.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/jose-0.8.4
hs-libraries:         HSjose-0.8.4-E7TPDpHYmre1rPjeitb0El
depends:
    QuickCheck-2.14.1-HTGPGTiPlLFBv0MoTd9R3D
    aeson-1.5.4.1-2YgQvnoUGUbFY9GKPCy4dR
    attoparsec-0.13.2.4-4G9TlDXJU9S6AvRY38etcX base-4.14.1.0
    base64-bytestring-1.2.0.0-3Dz1hYTbtxF8XDshMbTnv9
    bytestring-0.10.10.0 concise-0.1.0.1-42miBwjfG4j1PYk7GfPSHo
    containers-0.6.2.1 cryptonite-0.27-GQDFsV0e2GLJaPfeS4zGY1
    lens-4.19.2-7T5xue2zDUB9k8hfM4qAyv
    memory-0.15.0-359cYXe7lRF64CAN0G53fp
    monad-time-0.3.1.0-3d4yAlPjz8P33AmXrmtMWL mtl-2.2.2
    network-uri-2.6.3.0-AGFstzgcG0nI7I4seWy0cP
    quickcheck-instances-0.3.24-BraAi9zk8qXLqQXOQXklOO
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b template-haskell-2.16.0.0
    text-1.2.3.2 time-1.9.3
    unordered-containers-0.2.13.0-1ou2s75HM4jIGJQqER9UBk
    vector-0.12.1.2-93zBJ8pozDnK4B1K8k25VC
    x509-1.7.5-DNjrBOqorKTKpkxFkmiOXb

haddock-interfaces:   /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html:         /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

